Bug 1420827 - Review Request: perl-Validation-Class - Powerful Data Validation Framework
Summary: Review Request: perl-Validation-Class - Powerful Data Validation Framework
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-09 15:18 UTC by Ralf Corsepius
Modified: 2017-02-24 08:58 UTC (History)
2 users (show)

Fixed In Version: perl-Validation-Class-7.900057-2.fc26 perl-Validation-Class-7.900057-2.fc25 perl-Validation-Class-7.900057-2.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-24 08:58:47 UTC
Type: ---
jplesnik: fedora-review+


Attachments (Terms of Use)

Description Ralf Corsepius 2017-02-09 15:18:56 UTC
Spec URL: https://corsepiu.fedorapeople.org/packages/perl-Validation-Class.spec
SRPM URL: https://corsepiu.fedorapeople.org/packages/perl-Validation-Class-7.900057-1.fc26.src.rpm
Description: 
Validation::Class is a scalable data validation library with interfaces for
applications of all sizes. The most common usage of Validation::Class is to
transform class namespaces into data validation domains where consistency
and reuse are primary concerns. Validation::Class provides an extensible
framework for defining reusable data validation rules. It ships with a
complete set of pre-defined validations and filters referred to as
"directives".

Fedora Account System Username: corsepiu

Comment 1 Jitka Plesnikova 2017-02-10 16:33:37 UTC
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed

$ rpm -qp --requires perl-Validation-Class-7.900057-1.fc26.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.24.1)
      1 perl(:VERSION) >= 5.10.0
      1 perl(:VERSION) >= 5.8.1
      1 perl(Carp)
      1 perl(Clone)
      1 perl(Exporter)
      1 perl(Hash::Flatten)
      1 perl(Hash::Merge)
      1 perl(List::MoreUtils)
      1 perl(Module::Find)
      1 perl(Module::Runtime)
      1 perl(Scalar::Util)
      1 perl(Validation::Class)
      1 perl(Validation::Class::Configuration)
      1 perl(Validation::Class::Directive)
      1 perl(Validation::Class::Directives)
      1 perl(Validation::Class::Errors)
      1 perl(Validation::Class::Field)
      1 perl(Validation::Class::Fields)
      1 perl(Validation::Class::Listing)
      1 perl(Validation::Class::Mapping)
      1 perl(Validation::Class::Mixin)
      1 perl(Validation::Class::Mixins)
      1 perl(Validation::Class::Params)
      1 perl(Validation::Class::Prototype)
      1 perl(Validation::Class::Simple)
      1 perl(Validation::Class::Util)
      1 perl(base)
      1 perl(overload)
      1 perl(strict)
      1 perl(utf8)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -qp --provides perl-Validation-Class-7.900057-1.fc26.noarch.rpm | sort | uniq -c

There are lots of provides, I don't list them. The list is complete.
Binary provides are Ok.

$ rpmlint ./perl-Validation-Class*
perl-Validation-Class.noarch: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
perl-Validation-Class.noarch: W: spelling-error %description -l en_US namespaces -> name spaces, name-spaces, names paces
perl-Validation-Class.noarch: W: spelling-error %description -l en_US pre -> per, ore, pee
perl-Validation-Class.src: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
perl-Validation-Class.src: W: spelling-error %description -l en_US namespaces -> name spaces, name-spaces, names paces
perl-Validation-Class.src: W: spelling-error %description -l en_US pre -> per, ore, pee
2 packages and 1 specfiles checked; 0 errors, 6 warnings.

Rpmlint is ok

BuildRequires
FIX: Please add following build-requires
    perl(Data::Dumper) - use in tests
    perl(FindBin) - use in tests
    perl(lib) - use in tests

Please correct 'FIX' issue and provide new spec file.

Otherwise package looks good.
Not approved.

Comment 3 Jitka Plesnikova 2017-02-13 11:51:50 UTC
> BuildRequires
> FIX: Please add following build-requires
>     perl(Data::Dumper) - use in tests
>     perl(FindBin) - use in tests
>     perl(lib) - use in tests
+BuildRequires:  perl(Data::Dumper)
+BuildRequires:  perl(FindBin)
+BuildRequires:  perl(lib)
Ok

The package looks good now.
Approved.

Comment 4 Gwyn Ciesla 2017-02-13 13:46:14 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/perl-Validation-Class


Note You need to log in before you can comment on or make changes to this bug.